#pragma once

#include <map>
using namespace std;
typedef map<int, CString> IntStrMap;
typedef IntStrMap::iterator ISMapIter;

#if defined(EXPORT_LANG)
extern __declspec(dllexport) CString DLL_GetResFromKey(const CString& strKey);
extern __declspec(dllexport) void DLL_LoadLangView(CString strShow = _T(""));
extern __declspec(dllexport) IntStrMap* DLL_GetValueMapLans(const CString& strUserType);
extern __declspec(dllexport) CString DLL_GetCurrentShow();

#else
extern __declspec(dllimport) CString DLL_GetResFromKey(const CString& strKey);
extern __declspec(dllimport) void DLL_LoadLangView(CString strShow = _T(""));
extern __declspec(dllimport) IntStrMap* DLL_GetValueMapLans(const CString& strUserType);
extern __declspec(dllimport) CString DLL_GetCurrentShow();
#endif
